This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### endShape()
Examples |
    noFill();

    beginShape();
    vertex(20, 20);
    vertex(45, 20);
    vertex(45, 80);
    endShape(CLOSE);

    beginShape();
    vertex(50, 20);
    vertex(75, 20);
    vertex(75, 80);
    endShape();
Description | The endShape() function is the companion to beginShape() and may only be called after beginShape(). When endshape() is called, all of image data defined since the previous call to beginShape() is written into the image buffer. The constant CLOSE as the value for the MODE parameter to close the shape (to connect the beginning and the end).
Syntax |
    endShape()
    endShape(mode)
Parameters |
mode | int: use CLOSE to close the shape
Returns | void
Related | PShape beginShape()

Updated on October 26, 2013 08:58:31pm PDT